Bug 1476186 - New permission on upgraded setup and not on freshly installed box
New permission on upgraded setup and not on freshly installed box
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Upgrades (Show other bugs)
6.2.11
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-28 04:31 EDT by Sanket Jagtap
Modified: 2017-08-15 01:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sanket Jagtap 2017-07-28 04:31:16 EDT
Description of problem:


Version-Release number of selected component (if applicable):
Satellite 6.1.12 was upgraded to satellite 6.2.11 snap2

2017-07-25 17:56:14 - robottelo.ssh - INFO - >>> rpm -qa | grep rubygem-foreman_openscap
2017-07-25 17:56:17 - robottelo.ssh - INFO - <<< stdout
tfm-rubygem-foreman_openscap-0.5.3.22-1.el6sat.noarch


How reproducible:
Always

log:
nailgun.client - DEBUG - Making HTTP GET request to https://satellite.com/api/v2/permissions with options {'verify': False, 'data': '{"per_page": 1000}', 'auth': ('admin', 'changeme'), 'headers': {'content-type': 'application/json'}} and no data.
2017-07-24 11:20:07 - nailgun.client - DEBUG - Received HTTP 200 response: {
  "total": 272,
  "subtotal": 272,
  "page": 1,
  "per_page": 1000,
  "search": null,
  "sort": {
    "by": null,
    "order": null
  },
  "results": [{"name":"edit_compliance","id":238,"resource_type":null}.......,..,.,.


There is no such permission on the freshly installed box.

Actual results:
E   AssertionError: {
E    "added_names": [
E     "edit_compliance"
E    ]
E   }

Expected results:
This should also be exposed on freshly installed box 

Additional info:

Note You need to log in before you can comment on or make changes to this bug.